Summary: Compatibility libraries for File transfer utilities between Linux and PalmPilots.
Name: pilot-link095-compat
Version: 0.9.5
Release: 22
Source: http://www.gnu-designs.com/pilot-link/pilot-link.0.9.5.tar.bz2
Url: http://www.gnu-designs.com/pilot-link/
Patch: pilot-link-0.9.5-ack.patch
Patch1: pilot-link-0.9.5-fhs.patch
Patch2: pilot-link-0.9.5-gcc.patch
Patch3: pilot-link-0.9.5-perlmd5.patch
Patch4: pilot-link-0.9.5-perlpollute.patch
Patch5: pilot-link-0.9.5-malsync.patch
Patch6: pilot-link-0.9.5-tcltk.patch
Patch7: pilot-link-0.9.5-strip.patch

BuildPrereq: compat-gcc = 7.3
BuildPrereq: compat-gcc-c++ = 7.3

Epoch: 1
License: GPL
Group: Applications/Communications
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: perl

ExcludeArch: s390 s390x x86_64 ppc

%description
This suite of tools allows you to upload and download programs and
data files between a Linux/UNIX machine and the PalmPilot. It has a
few extra utilities that will allow for things like syncing the
PalmPilot's calendar app with Ical. Note that you might still need to
consult the sources for pilot-link if you would like the Python, Tcl,
or Perl bindings.

Install pilot-link if you want to synchronize your Palm with your Red
Hat Linux system.

%prep 
%setup -q -n pilot-link.%{version}
%patch -p1 -b .ack
%patch1 -p1 -b .fhs
%patch2 -p1 -b .gcc3
%patch3 -p1 -b .perlmd5
%patch4 -p1 -b .perlpollute
%patch5 -p1 -b .malsync
%patch6 -p1 -b .tcltk
%patch7 -p1 -b .strip

%build
export CC="gcc296"
export CXX="g++296"
cp -f /usr/share/libtool/config.* scripts/
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
export CC="gcc296"
export CXX="g++296"

make install prefix=$RPM_BUILD_ROOT%{_prefix} \
     mandir1=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     mandir7=$RPM_BUILD_ROOT/%{_mandir}/man7

if test -f tools/Perl5/Makefile.PL ; then
   cd tools/Perl5
   perl -pi -e 's|^\$libdir =.*|\$libdir = "%{buildroot}%{_libdir}";|g' Makefile.PL
   CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
   make
   make install
   rm -f %{buildroot}/usr/lib/perl5/site_perl/*/*/*/PDA/Pilot/.packlist
fi

# it's in pilot-link package
rm -rf %{buildroot}%{_includedir} \
       %{buildroot}%{_bindir} \
       %{buildroot}%{_libdir}/*.a \
       %{buildroot}%{_libdir}/*.la \
       %{buildroot}%{_libdir}/pilot-link \
       %{buildroot}%{_libdir}/perl* \
       %{buildroot}%{_mandir}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README TODO
%{_libdir}/libpisock.so.*

%changelog
* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Sun Nov 10 2002 Than Ngo <than@redhat.com> 0.9.5-2
- remove unneedded files

* Thu Jul 18 2002 Than Ngo <than@redhat.com> 0.9.5-1
- add compat lib

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun 19 2002 Than Ngo <than@redhat.com> 0.9.5-19
- don't forcibly strip binaries

* Mon Jun 11 2002 Than Ngo <than@redhat.com> 0.9.5-18
- get rid of tcl/tk dependency (bug #66480)

* Wed Jun 05 2002 Than Ngo <than@redhat.com> 0.9.5-17
- add rpmlint filter rpmlint bug #66008
- add malsync-supporting bug #64882

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Feb 21 2002 Jeremy Katz <katzj@redhat.com> 0.9.5-13
- free trip through the build system

* Wed Jan 09 2002 Tim Powers <timp@redhat.com> 0.9.5-12
- automated rebuild

* Mon Dec 31 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.9.5-11
- fix build with gcc 3.1

* Mon Nov 12 2001 Than Ngo <than@redhat.com> 0.9.5-10
- add patch for building against gcc 3

* Thu Sep 20 2001 Than Ngo <than@redhat.com> 0.9.5-9
- update to 0.9.5 release (bug #53430) 
- fix bug #53807
- add Url

* Fri Aug 10 2001 Than Ngo <than@redhat.com>
- add epoch (bug #51429)

* Mon Jul 16 2001 Trond Eivind Glomsrd <teg@redhat.com>
- s/Copyright/License/
- Add dependency on main package for the devel subpackage

* Tue Jun 19 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add ExcludeArch: s390 s390x

* Fri Jun 15 2001 Than Ngo <than@redhat.com>
- fix to build against libtool (bug #43800)

* Fri May 11 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.9.5-4
- rebuild with new readline

* Fri Apr 27 2001 Bill Nottingham <notting@redhat.com>
- rebuild for C++ exception handling on ia64

* Thu Feb 01 2001 Than Ngo <than@redhat.com>
- cleanup patch from Jrgen Stuber to fix "Weird packet" error  (Bug #25360)

* Mon Nov 20 2000 Than Ngo <than@redhat.com>
- update 0.9.5pre3 snapshot from CVS
- fix up broken codes

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  4 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Mon Jun  5 2000 Matt Wilson <msw@redhat.com>
- defattr on devel package

* Sat Jun  3 2000 Matt Wilson <msw@redhat.com>
- rebuilt against tcl-8.3.1

* Wed May 31 2000 Matt Wilson <msw@redhat.com>
- fix building with egcs 2.96 and gcc 2.2, build against new libstdc++
- use _mandir macro

* Wed Apr  5 2000 Bill Nottingham <notting@redhat.com>
- rebuild against current ncurses/readline

* Sun Mar 26 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- call ldconfig directly from postun

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- gzip man pages

* Wed Oct 20 1999 Preston Brown <pbrown@redhat.com>
- upgrade to pilot-link 0.9.3, rewrite spec.

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Tue Mar 30 1999 Preston Brown <pbrown@redhat.com>
- added missing files from devel subpackage

* Fri Mar 26 1999 Preston Brown <pbrown@redhat.com>
- move /usr/lib/pix to /usr/lib/pilot-link (dumb, BAD name)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Thu Jan 21 1999 Bill Nottingham <notting@redhat.com>
- arm fix

* Fri Sep 24 1998 Michael Maher <mike@redhat.com>
- cleaned up spec file, updated package

* Tue May 19 1998 Michael Maher <mike@redhat.com>
- updated rpm

* Thu Jan 29 1998 Otto Hammersmith <otto@redhat.com>
- added changelog
- updated to 0.8.9
- removed explicit requires for /usr/bin/perl

